# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Encode.pm) perl(Exporter/Lite.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Pod/Html.pm) perl(Pod/Man.pm) perl(Pod/Text.pm) perl(Test/Base.pm) perl(Test/Base/Filter.pm) perl(Test/Builder/Module.pm) perl(Unicode/EastAsianWidth.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Text-Overflow
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: =head1 SYNOPSIS
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SA/SATOH/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Text::Overflow is for clipping text for a width

=over

=item Text::Overflow::vlength($string)

Return visual width of `$string'.

=item Text::Overflow::vtrim($string, $length, $delim)

Trim `$string' to visual width specified `$length' including `$delim'

=item Text::Overflow::clip($string, $length)

Clip `$string'. This is same as vtrim($string, $length, "")

=item Text::Overflow::ellipsis($string, $length);

Clip and append ellipsis character. This is same as vtrim($string, $length, ".eI")   

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Tue Sep 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

